LinkType (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.compiler.LinkType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.compiler
Class LinkType

    java.lang.Object
      net.sf.antcontrib.cpptasks.compiler.LinkType

    public class LinkType

extends java.lang.Object

This class represents the target platform for the compile and link step. The name is an anachronism and should be changed.

Author:
  Curt Arnold

Constructor Summary
`LinkType()` Constructor By default, an gui executable with a dynamically linked runtime

Method Summary
`java.lang.String` | `getOutputType()` Gets the output type.
`java.lang.String` | `getSubsystem()` Get subsystem name.
`boolean` | `isExecutable()` Gets whether the link should produce an executable
`boolean` | `isPluginModule()` Gets whether the link should produce a plugin module.
`boolean` | `isSharedLibrary()` Gets whether the link should produce a shared library.
`boolean` | `isStaticLibrary()` Gets whether the link should produce a static library.
`boolean` | `isStaticRuntime()` Gets whether the module should use a statically linked runtime library.
`boolean` | `isSubsystemConsole()` Gets whether the link should produce a module for a console subsystem.
`boolean` | `isSubsystemGUI()` Gets whether the link should produce a module for a graphical user interface subsystem.
`void` | `setOutputType(OutputTypeEnum outputType)` Sets the output type (execuable, shared, etc).
`void` | `setStaticRuntime(boolean staticRuntime)` Requests use of a static runtime library.
`void` | `setSubsystem(SubsystemEnum subsystem)` Sets the subsystem (gui, console, etc).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkType

    public LinkType()

  Constructor By default, an gui executable with a dynamically linked runtime

Method Detail

### isExecutable

    public boolean isExecutable()

  Gets whether the link should produce an executable

  Returns:
    boolean

### isPluginModule

    public boolean isPluginModule()

  Gets whether the link should produce a plugin module.

  Returns:
    boolean

### isSharedLibrary

    public boolean isSharedLibrary()

  Gets whether the link should produce a shared library.

  Returns:
    boolean

### isStaticLibrary

    public boolean isStaticLibrary()

  Gets whether the link should produce a static library.

  Returns:
    boolean

### isStaticRuntime

    public boolean isStaticRuntime()

  Gets whether the module should use a statically linked runtime library.

  Returns:
    boolean

### isSubsystemConsole

    public boolean isSubsystemConsole()

  Gets whether the link should produce a module for a console subsystem.

  Returns:
    boolean

### isSubsystemGUI

    public boolean isSubsystemGUI()

  Gets whether the link should produce a module for a graphical user interface subsystem.

  Returns:
    boolean

### setOutputType

    public void setOutputType(OutputTypeEnum outputType)

  Sets the output type (execuable, shared, etc).

  Parameters:
    `outputType` - may not be null

### getOutputType

    public java.lang.String getOutputType()

  Gets the output type.

  Returns:
    output type

### setStaticRuntime

    public void setStaticRuntime(boolean staticRuntime)

  Requests use of a static runtime library.

  Parameters:
    `staticRuntime` - if true, use static runtime library if possible.

### setSubsystem

    public void setSubsystem(SubsystemEnum subsystem)

  Sets the subsystem (gui, console, etc).

  Parameters:
    `subsystem` - subsystem, may not be null

### getSubsystem

    public java.lang.String getSubsystem()

  Get subsystem name.

  Returns:
    subsystem name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.